#include "jx_uart_send.h"

// UART1_RX串口通信消息头
const unsigned char g_uart_send_head_UART1_RX[] = {
  0xaa, 0x55
};

// UART1_RX串口通信消息尾
const unsigned char g_uart_send_foot_UART1_RX[] = {
  0x55, 0xaa
};

// UART2_RX串口通信消息头
const unsigned char g_uart_send_head_UART2_RX[] = {
  0xaa, 0x55
};

// UART2_RX串口通信消息尾
const unsigned char g_uart_send_foot_UART2_RX[] = {
  0x55, 0xaa
};

// 串口发送函数实现
void _uart_send_impl(int port, unsigned char* buff, int len) {
  // TODO: 调用项目实际的串口发送函数
  /*
  int i = 0;
  unsigned char c;
  for (i = 0; i < len; i++) {
    c = buff[i];
    printf("%02X ", c);
  }
  printf("\n");
  */
}

// action: A4
void _uart_A4(unsigned char U1_Hum) {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART1_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART1_RX[i];
  }
  buff[2] = U_MSG_A4;
  param.d_uchar = U1_Hum;
  buff[3] = param.d_uchar;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART1_RX; i++) {
      buff[i + 4] = g_uart_send_foot_UART1_RX[i];
  }
  _uart_send_impl(1, buff, 6);
}

// action: A5
void _uart_A5(unsigned char U1_zhengshu, unsigned char U1_xiaoshu) {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART1_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART1_RX[i];
  }
  buff[2] = U_MSG_A5;
  param.d_uchar = U1_zhengshu;
  buff[3] = param.d_uchar;
  param.d_uchar = U1_xiaoshu;
  buff[4] = param.d_uchar;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART1_RX; i++) {
      buff[i + 5] = g_uart_send_foot_UART1_RX[i];
  }
  _uart_send_impl(1, buff, 7);
}

// action: A6
void _uart_A6(unsigned char U2_Hum) {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART2_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART2_RX[i];
  }
  buff[2] = U_MSG_A6;
  param.d_uchar = U2_Hum;
  buff[3] = param.d_uchar;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART2_RX; i++) {
      buff[i + 4] = g_uart_send_foot_UART2_RX[i];
  }
  _uart_send_impl(2, buff, 6);
}

// action: A7
void _uart_A7(unsigned char U2Tem_zhengshu, unsigned char U2Tem_xiaoshu) {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART2_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART2_RX[i];
  }
  buff[2] = U_MSG_A7;
  param.d_uchar = U2Tem_zhengshu;
  buff[3] = param.d_uchar;
  param.d_uchar = U2Tem_xiaoshu;
  buff[4] = param.d_uchar;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART2_RX; i++) {
      buff[i + 5] = g_uart_send_foot_UART2_RX[i];
  }
  _uart_send_impl(2, buff, 7);
}

